#
# Cookbook Name:: Team_Foundation_Server_STD_x64
# Recipe:: default
#
# Copyright (c) 2014 Ryan Irujo, All Rights Reserved.
require 'win32/service'
include_recipe 'iis::mod_auth_basic'
include_recipe 'tfs::install'

configurationFile = "#{Chef::Config[:cache_path]}/configbasic.ini"

template "#{configurationFile}" do
  source 'configbasic.ini.erb'
end

# Installing Team Foundation Server Standard.
execute 'Configure Team Foundation Server STD' do
	command "\"#{node[:tfs][:config_exe_path]}\" unattend /configure /unattendfile:#{configurationFile} /continue"
	returns [0,100]
	not_if {::Win32::Service.exists?("TFSJobAgent")}
end

ConfigureTfsBuildAccountLog = "#{Chef::Config[:cache_path]}/ConfigureTfsBuildAccount.log"

execute 'ConfigureTfsBuildAccount' do
	command "\"#{node[:tfs][:security_exe_path]}\" /g+ \"Project Collection Build Service Accounts\" n:NT AUTHORITY\\NETWORK SERVICE /collection:http://#{node[:fqdn]}:8080/tfs/YadaYada > #{ConfigureTfsBuildAccountLog}"
	not_if { File.exist?("#{ConfigureTfsBuildAccountLog}") }
	ignore_failure true
end
